
$(window).one("overlay-ready", function (evt, socket) {
    
	new TwitchSupporterCssHelperOverlayWidget();
	
	new StudioPanelControllerCssHelperOverlayWidget();
	
	new StudioPauseTimerOverlayWidget('.pause', '.pause-text');
	
	new StudioPanelControllerOverlayWidget('.panel');
	
	new TwitchSupporterLastSupporterTextOverlayWidget('.stats .last-donator', { type: "donation", join: " - ", empty: " - ", limit: 1 });
	new TwitchSupporterLastSupporterTextOverlayWidget('.stats .last-subscriber', { type: "subscription", join: " - ", empty: " - ", limit: 1 });
	new TwitchSupporterLastSupporterTextOverlayWidget('.stats .last-follower', { type: "follow", join: " - ", empty: " - ", limit: 1 });
	new TwitchSupporterLastSupporterTextOverlayWidget('.stats .last-cheer', { type: "cheer", join: " - ", empty: " - ", limit: 1 });
	
	new TwitchSupporterLastSupporterTextOverlayWidget('.stream-stats .last-donator', { type: "donation", join: " - ", empty: " - ", limit: 1 });
	new TwitchSupporterLastSupporterTextOverlayWidget('.stream-stats .last-subscriber', { type: "subscription", join: " - ", empty: " - ", limit: 1 });
	new TwitchSupporterLastSupporterTextOverlayWidget('.stream-stats .last-follower', { type: "follow", join: " - ", empty: " - ", limit: 1 });
	new TwitchSupporterLastSupporterTextOverlayWidget('.stream-stats .last-cheer', { type: "cheer", join: " - ", empty: " - ", limit: 1 });
	
	new TwitchChatListOverlayWidget('.chat');
	
	new StudioNotificationOverlayWidget('.notification');
	
	new TwitchChatBoxOverlayWidget('.chat-box');
	
	var $HTMLChatBox = $('.chat-box');
	new StudioTemplateOptionOverlayWidget().onChange(function(options) {
		
		for(var i = 0, option; option = options[i]; ++i)
		{
			if(option.group == "last-supporter-position")
			{
				var animation = 'left-right';
				var cssClass = 'pos-left'; 
				if(option.values['last-supporter-position-right'])
				{
					animation = 'right-left';
					cssClass = 'pos-right';
				}
				
				$HTMLChatBox.attr('data-animation', animation).removeClass('pos-left pos-right').addClass(cssClass);
			}
		}
	});
});